/*
 *   SONEWS News Server
 *   see AUTHORS for the list of contributors
 *
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.sonews.util;

/**
 * A pair of two objects.
 * @author Christian Lins
 * @since sonews/0.5.0
 */
public class Pair<T1, T2> 
{
 
  private T1 a;
  private T2 b;
  
  public Pair(T1 a, T2 b)
  {
    this.a = a;
    this.b = b;
  }

  public T1 getA()
  {
    return a;
  }

  public T2 getB()
  {
    return b;
  } 
 
}
